Bug 1748660 (CVE-2019-9812) - CVE-2019-9812 Mozilla: Sandbox escape through Firefox Sync
Summary: CVE-2019-9812 Mozilla: Sandbox escape through Firefox Sync
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-9812
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1745830 1745828 1745829 1745831 1745832 1748670
Blocks: 1745825
TreeView+ depends on / blocked
 
Reported: 2019-09-04 00:48 UTC by Doran Moppert
Modified: 2019-09-11 09:57 UTC (History)
3 users (show)

Fixed In Version: firefox 60.9, firefox 68.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-05 01:07:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2663 None None None 2019-09-04 20:12:16 UTC
Red Hat Product Errata RHSA-2019:2694 None None None 2019-09-10 09:13:00 UTC
Red Hat Product Errata RHSA-2019:2729 None None None 2019-09-11 09:57:03 UTC

Description Doran Moppert 2019-09-04 00:48:10 UTC
Given a compromised sandboxed content process due to a separate vulnerability, it is possible to escape that sandbox by loading `accounts.firefox.com` in that process and forcing a log-in to a malicious Firefox Sync account. Preference settings that disable the sandbox are then synchronized to the local machine and the compromised browser would restart without the sandbox if a crash is triggered.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-27/#CVE-2019-9812

Comment 1 Doran Moppert 2019-09-04 00:48:13 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Niklas Baumstark via TrendMicro's Zero Day Initiative

Comment 3 errata-xmlrpc 2019-09-04 20:12:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2663 https://access.redhat.com/errata/RHSA-2019:2663

Comment 4 Product Security DevOps Team 2019-09-05 01:07:31 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-9812

Comment 5 errata-xmlrpc 2019-09-10 09:13:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:2694 https://access.redhat.com/errata/RHSA-2019:2694

Comment 6 errata-xmlrpc 2019-09-11 09:57:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2729 https://access.redhat.com/errata/RHSA-2019:2729


Note You need to log in before you can comment on or make changes to this bug.